Bug 234356 - REGRESSION (r287068): [macOS arm64] TestWebKitAPI.GraphicsContextGLCocoaTest.UnrecycledDisplayBuffersNoLeaks is failing
Summary: REGRESSION (r287068): [macOS arm64] TestWebKitAPI.GraphicsContextGLCocoaTest....
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: ANGLE (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Kimmo Kinnunen
URL:
Keywords: InRadar
Depends on: 233328 234317
Blocks:
  Show dependency treegraph
 
Reported: 2021-12-15 11:21 PST by Ryan Haddad
Modified: 2021-12-17 16:36 PST (History)
10 users (show)

See Also:


Attachments
Patch (4.14 KB, patch)
2021-12-16 05:37 PST, Kimmo Kinnunen
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ryan Haddad 2021-12-15 11:21:37 PST
TestWebKitAPI.GraphicsContextGLCocoaTest.UnrecycledDisplayBuffersNoLeaks is failing on arm64 macOS bots after https://trac.webkit.org/changeset/287068/webkit, x86 bots are not affected.

    TestWebKitAPI.GraphicsContextGLCocoaTest.UnrecycledDisplayBuffersNoLeaks
        
        /Volumes/Data/worker/monterey-release/build/Tools/TestWebKitAPI/Tests/WebCore/cocoa/TestGraphicsContextGLCocoa.mm:242
        Value of: memoryFootprintChangedBy(lastFootprint, footprintChange, footprintError)
          Actual: false (Footprint changed by 827590144. Expected at most 0+-157286400)
        Expected: true

https://results.webkit.org/?suite=api-tests&test=TestWebKitAPI.GraphicsContextGLCocoaTest.UnrecycledDisplayBuffersNoLeaks
Comment 1 Radar WebKit Bug Importer 2021-12-15 11:21:49 PST
<rdar://problem/86533892>
Comment 2 Kenneth Russell 2021-12-15 12:00:22 PST
To be clear: that commit was the ANGLE roll to 2021-12-14 in Bug 234317.

We'd strongly prefer to not revert that roll. Is there any indication what might have caused this?
Comment 3 Ryan Haddad 2021-12-15 12:41:28 PST
(In reply to Kenneth Russell from comment #2)
> To be clear: that commit was the ANGLE roll to 2021-12-14 in Bug 234317.
> 
> We'd strongly prefer to not revert that roll. Is there any indication what
> might have caused this?
Kyle is investigating.
Comment 4 Kimmo Kinnunen 2021-12-15 12:43:02 PST
I cannot attend to it until tomorrow. If it's a problem, naming it DISABLED_Unrecycled.. would skip it temporarily
Comment 5 Kimmo Kinnunen 2021-12-16 05:37:51 PST
Created attachment 447348 [details]
Patch
Comment 6 EWS Watchlist 2021-12-16 05:39:14 PST
Note that there are important steps to take when updating ANGLE. See https://trac.webkit.org/wiki/UpdatingANGLE
Comment 7 Kyle Piddington 2021-12-16 14:50:54 PST
Comment on attachment 447348 [details]
Patch

LGTM, great catch.
Comment 8 Kenneth Russell 2021-12-16 18:38:50 PST
Amazing work Kimmo tracking this down! r+ from me as well.
Comment 9 Kenneth Russell 2021-12-16 18:39:13 PST
Filed https://bugs.chromium.org/p/angleproject/issues/detail?id=6829 about upstreaming this to ANGLE. I'll help with that.
Comment 10 EWS 2021-12-17 03:18:13 PST
kpiddington@apple.com does not have reviewer permissions according to https://raw.githubusercontent.com/WebKit/WebKit/main/metadata/contributors.json.

Rejecting attachment 447348 [details] from commit queue.
Comment 11 Antti Koivisto 2021-12-17 03:21:06 PST
Comment on attachment 447348 [details]
Patch

rs=me, actual review by Kyle Piddington
Comment 12 EWS 2021-12-17 04:00:36 PST
Committed r287178 (245347@main): <https://commits.webkit.org/245347@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 447348 [details].
Comment 13 Kenneth Russell 2021-12-17 16:36:47 PST
For bookkeeping purposes, the new test was added under Bug 233328.